Bug 27437 - [iOS] Context menu error after deleting an item from a ListView using ContextActions
Summary: [iOS] Context menu error after deleting an item from a ListView using Context...
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 1.3.4
Hardware: Macintosh Mac OS
: Normal normal
Target Milestone: 1.4.0
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-02-25 18:17 UTC by Jon Goldberger [MSFT]
Modified: 2015-11-25 01:26 UTC (History)
7 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Test Project (4.41 MB, application/zip)
2015-02-25 18:17 UTC, Jon Goldberger [MSFT]
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Jon Goldberger [MSFT] 2015-02-25 18:17:13 UTC
Created attachment 10037 [details]
Test Project

## Description

When using the ContextActions to delete an item from a ListView that has more than one screen's worth of rows, after the item is deleted if you scroll down (or up as the case may be) there will be a different row, obviously not the row just deleted which is removed appropriately, that now shows the context menu. 

## Steps to reproduce

1. Open the attached test project. (Which is just this official sample http://developer.xamarin.com/samples/WorkingWithListview/
with extra items added and modified so the code version actually deletes items with the Delete ContextAction.) 

2. Launch to an iOS device or simulator.

3. Swipe left on a row to expose the Context menu and tap the Delete button.

4. After row is successfully deleted, scroll down.

Expected result: All rows should be in original state without a Context menu showing.

Actual result: A row that is just off screen shows the Context Menu open. 

## Notes:

The same issue occurred whether using the XAML version or the code version.  
Selecting the "More" context action does not display the above behavior. 
Tested on Forms 1.3.4.6332
Comment 1 Jon Goldberger [MSFT] 2015-02-25 18:19:49 UTC
Additional note: I also now tested on 1.3.5-pre1. Issue still occurs on 1.3.5-pre1
Comment 3 Parmendra Kumar 2015-02-26 04:37:04 UTC
I have checked this issue and I am able to reproduce it. To reproduce this issue I have followed steps mention in the bug description.

Screencast: http://www.screencast.com/t/qkssds3p8nPY

AppOutput Log: https://gist.github.com/Parmendrak/fe447b5270cb43d32d4a
Ide Log: https://gist.github.com/Parmendrak/654da54d57f0e348bf60

Environment info:

Xamarin.Forms: 1.3.5.6333-pre1 and 1.3.4.6332

=== Xamarin Studio ===

Version 5.7.1 (build 17)
Installation UUID: 1a096c6f-0678-402e-89b2-a2c10f7e80e4
Runtime:
	Mono 3.12.0 ((detached/de2f33f)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 312000076

=== Apple Developer Tools ===

Xcode 6.1.1 (6611)
Build 6A2008a

=== Xamarin.iOS ===

Version: 8.6.1.26 (Business Edition)
Hash: 98ee412
Branch: 
Build date: 2015-02-11 04:37:05-0500

=== Xamarin.Mac ===

Version: 1.10.0.18 (Business Edition)

=== Xamarin.Android ===

Version: 4.20.0.28 (Business Edition)
Android SDK: /Users/360_macmini/Desktop/android-sdk-macosx
	Supported Android versions:
		2.1    (API level 7)
		2.2    (API level 8)
		2.3    (API level 10)
		3.1    (API level 12)
		4.0    (API level 14)
		4.0.3  (API level 15)
		4.1    (API level 16)
		4.2    (API level 17)
		4.3    (API level 18)
		4.4    (API level 19)
		4.4.87 (API level 20)
		5.0    (API level 21)
Java SDK: /usr
java version "1.8.0_31"
Java(TM) SE Runtime Environment (build 1.8.0_31-b13)
Java HotSpot(TM) 64-Bit Server VM (build 25.31-b07, mixed mode)

=== Build Information ===

Release ID: 507010017
Git revision: 0bc7d3550b6b088ac25b08dcf7bbe73bcc8658b3
Build date: 2015-02-03 19:43:29-05
Xamarin addins: f7b7d34419c9ec24501bfa7c658e80a6305613e0

=== Operating System ===

Mac OS X 10.9.4
Darwin ShrutiMac.local 13.3.0 Darwin Kernel Version 13.3.0
    Tue Jun  3 21:27:35 PDT 2014
    root:xnu-2422.110.17~1/RELEASE_X86_64 x86_64
Comment 4 Jason Smith [MSFT] 2015-03-03 01:29:48 UTC
Should be fixed in 1.4.0-pre1
Comment 5 Parmendra Kumar 2015-03-03 05:47:41 UTC
I have checked this issue with Xamarin.Forms version 1.4.0.6336-pre1 and now its working fine at my end.

Hence I am closing this issue.
Comment 6 nishanth1993vemula 2015-11-25 00:39:10 UTC
The bug still remains.

Xamarin forms version : 2.0.0.6484

=== Xamarin Studio ===

Version 5.10 (build 871)
Installation UUID: 6573a685-c6d6-4480-a348-d639efe2ba10
Runtime:
	Mono 4.2.1 (explicit/6dd2d0d)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 402010102

=== Xamarin.Profiler ===

Not Installed

=== Apple Developer Tools ===

Xcode 6.3.2 (7718)
Build 6D2105

=== Xamarin.iOS ===

Version: 9.2.1.51 (Trial Edition)
Hash: 3c0ec35
Branch: master
Build date: 2015-11-12 13:05:39-0500

=== Xamarin.Android ===

Version: 6.0.0.34 (Trial Edition)
Android SDK: /Users/ranbijay/Library/Developer/Xamarin/android-sdk-macosx
	Supported Android versions:
		4.0.3 (API level 15)
		4.4   (API level 19)
		5.0   (API level 21)
		6.0   (API level 23)

SDK Tools Version: 24.4.1
SDK Platform Tools Version: 23.0.1
SDK Build Tools Version: 23.0.1

Java SDK: /usr
java version "1.7.0_80"
Java(TM) SE Runtime Environment (build 1.7.0_80-b15)
Java HotSpot(TM) 64-Bit Server VM (build 24.80-b11, mixed mode)

=== Xamarin Android Player ===

Not Installed

=== Xamarin.Mac ===

Version: 2.4.0.109 (Starter Edition)

=== Build Information ===

Release ID: 510000871
Git revision: 4e9c5abb5ffdae12ba02ac49da83f8b2011dbb88
Build date: 2015-11-12 06:02:54-05
Xamarin addins: 55007ed0e56436f385d8e26394a45be563abc7e8
Build lane: monodevelop-lion-cycle6

=== Operating System ===

Mac OS X 10.10.5
Darwin macpc272505 14.5.0 Darwin Kernel Version 14.5.0
    Wed Jul 29 02:26:53 PDT 2015
    root:xnu-2782.40.9~1/RELEASE_X86_64 x86_64
Comment 7 nishanth1993vemula 2015-11-25 01:26:51 UTC
It is working after I've updated the packages